local table_1 ""
foreach v of global outcomes_ea_3 {
    forval i=0/2 {
        local table_1 "`table_1' `v'_r`i'"
        }
    }
foreach v of global outcomes_seshat_3 {
    forval i=1/2 {
        local table_1 "`table_1' `v'_`i'"
        }
    }
#delimit ;
estout `table_1'
    using "${path_tables}/Table_Development.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
    prehead(&\multicolumn{6}{c}{Ethnographic Atlas}&\multicolumn{2}{c}{Seshat}\\
            \cmidrule(lr){2-7}\cmidrule(lr){8-9})
	posthead("\midrule")
	prefoot("\midrule")
	mgroups("Population Density" "Settlement Patterns" "Population Density",  
		pattern(1 0 0 1 0 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels)
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
        rename(eclipses eclipses_log)
	replace
	keep(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	order(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	stats(fe tim geo ethnic con r2_p N, fmt(0 0 0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

local table_2 ""
foreach v of global proxies_dev {
    if strpos("$outcomes_seshat_1","`v'") {
        forval i=1/2 {
            local table_2 "`table_2' `v'_`i'"
        }
    }
    else {
        local table_2 "`table_2' `v'"
    }
}
di "`table_2'"

#delimit ;
estout `table_2'
    using "${path_tables}/Table_Proxies_Development.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
        prehead(&\multicolumn{3}{c}{Ethnographic Atlas}&\multicolumn{4}{c}{Seshat}\\
            \cmidrule(lr){2-4}\cmidrule(lr){5-8})
	posthead("\midrule")
	prefoot("\midrule")
	mgroups("Juris. Hier." "Class Strat." "Pol. Int." "Adm. Levels" "Juris. Hier.",  
		pattern(1 1 1 1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels)
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
        rename(eclipses eclipses_log)
	replace
	keep(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	order(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	stats(fe tim geo ethnic con r2_p N, fmt(0 0 0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

local table_3 ""
foreach v of global proxies_h {
    if strpos("`v'","cc_") | "`v'" == "calendar" | "`v'" == "geometrical_measurements" {
        forval i=2/2 {
            local table_3 "`table_3' `v'_`i'"
        }
    }
    else {
        local table_3 "`table_3' `v'"
    }
}

#delimit ;
estout `table_3'
    using "${path_tables}/Table_Proxies_Human_Capital.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
        prehead(
            &\multicolumn{2}{c}{Ethnographic Atlas}&\multicolumn{3}{c}{Folklore}&\multicolumn{4}{c}{Seshat} \\
            \cmidrule(lr){2-3} \cmidrule(lr){4-6} \cmidrule(lr){7-10}
        )
	posthead("\midrule")
	prefoot("\midrule")
	mgroups(
            "Strat. Games" "Writing" "Ec. Exp." "Cal. Rel." "Thinking Rel." "Writing" "Texts" "Calendar" "Geom. Meas.",  
            pattern(1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})
        ) 
	mlabels(none)
	varlabels($labels)
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
        rename(eclipses eclipses_log)
	replace
	keep(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	order(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	stats(fe tim geo ethnic con r2_p N, fmt(0 0 0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

local table_4 ""
foreach v of global proxies_t {
    if strpos("`v'","cc_") {
        forval i=2/2 {
            local table_4 "`table_4' `v'_`i'"
        }
    }
    else {
        local table_4 "`table_4' `v'"
    }
}

#delimit ;
estout `table_4'
    using "${path_tables}/Table_Proxies_Technology.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
    prehead(&\multicolumn{2}{c}{Ethnographic Atlas}&\multicolumn{2}{c}{Seshat}&\multicolumn{5}{c}{Ashraf and Galor, 2011}\\
            \cmidrule(lr){2-3}\cmidrule(lr){4-5}\cmidrule(lr){6-10})
	posthead("\midrule")
	prefoot("\midrule")
	mgroups("Tasks" "Tech." "Money" "Infra." "Tech. Index" "\shortstack{Non-agri. \\ Tech. Index}" "Comm. Tech." "Ind. Tech" "Trans. Tech.",  
		pattern(1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels)
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
	replace
	keep(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
	order(eclipses_log distance_volcano_km_log distance_tectonic_km_log volcanoes)
        rename(lec eclipses_log lvo volcanoes eclipses eclipses_log)
	stats(fe tim geo ethnic con r2_p N, fmt(0 0 0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

local table_5 ""
foreach v of global proxies_w {
    if strpos("$outcomes_wikipedia", "`v'") {
        forval i=1/2 {
            local table_5 "`table_5' `v'_`i'"
            }
        }
    else {
        local table_5 "`table_5' `v'"
    }
} 

#delimit ;
estout `table_5'
    using "${path_tables}/Table_Proxies_Curiosity.tex", 
        replace
	cells("b(fmt(3))" "se(fmt(3) par star)")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
	posthead("\midrule")
	prefoot("\midrule")
        prehead("&\multicolumn{2}{c}{Folklore}&\multicolumn{2}{c}{Wikidata} \\
        \cmidrule(lr){2-3} \cmidrule(lr){4-5}")
	mgroups("Eclipse Rel." "Curious Rel." "Scientific occ.",  
		pattern(1 1 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels)
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
        rename(eclipses eclipses_log)
	style(esttab)
	keep(eclipses_log distance_volcano_km_log distance_tectonic_km_log eclipses_binary volcanoes_binary)
	order(eclipses_log distance_volcano_km_log distance_tectonic_km_log eclipses_binary volcanoes_binary)
	stats(fe tim geo ethnic weights r2_p N, fmt(0 0 0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Weights" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

local table_6 ""
foreach v of global religion {
    if strpos("$outcomes_wikipedia", "`v'") {
        forval i=1/2 {
            local table_6 "`table_6' `v'_`i'"
            }
        }
    else {
        local table_6 "`table_6' `v'"
    }
}

#delimit ;
estout `table_6'
    using "${path_tables}/Table_Religion.tex", 
        cells("b(fmt(3))" "se(fmt(3) par star)")
        starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
        varwidth(10)
        modelwidth(9)
        delimiter(&)
        end(\\)
        posthead("\midrule")
        prefoot("\midrule")
        prehead("&\multicolumn{1}{c}{Ethnographic Atlas}&\multicolumn{3}{c}{Folklore}&\multicolumn{2}{c}{Wikidata} \\
        \cmidrule(lr){2-2} \cmidrule(lr){3-5} \cmidrule(lr){6-7}")
        mgroups("High gods" "Religion rel." "Religious rel." "Pray rel." "Religious occ.",  
                pattern(1 1 1 1 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
        mlabels(none)
        varlabels($labels)
        numbers(\multicolumn{@span}{c}{( )})
        collabels(none)
        eqlabels(, begin("\midrule" "") none)
        substitute(_ \_ "\_cons " \_cons)
        interaction(" $\times$ ")
        level(95)
        style(esttab)
        replace
        keep(eclipses_log eclipses_binary)
        order(eclipses_log eclipses_binary)
        stats(fe tim geo ethnic weights r2_p N, fmt(0 0 0 0 0 3 0)
                layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
                labels("Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Weights" "\midrule Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

local table_7 ""
foreach v of global placebo {
    local table_7 "`table_7' `v'"
}

#delimit ;
estout `table_7'
    using "${path_tables}/Table_Placebo.tex",
    replace
    cells("b(fmt(3))" "se(fmt(3) par star)")
    starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
    varwidth(10)
    modelwidth(9)
    delimiter(&)
    end(\\)
    posthead("&\multicolumn{1}{c}{Cloud}&\multicolumn{1}{c}{Lightning}&\multicolumn{1}{c}{Rock}&\multicolumn{1}{c}{Sand}&\multicolumn{1}{c}{White}&\multicolumn{1}{c}{Purple}\\ &\multicolumn{1}{c}{(1)}         &\multicolumn{1}{c}{(2)}         &\multicolumn{1}{c}{(3)}         &\multicolumn{1}{c}{(4)}         &\multicolumn{1}{c}{(5)}&\multicolumn{1}{c}{(6)}         \\ \midrule")
    prefoot("\midrule")
    prehead("&\multicolumn{@M}{c}{Folklore} \\ \cmidrule(lr){2-7}")
    mgroups("Meteorology" "Inanimate" "Colours",  
            pattern(1 0 1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
    mlabels(none)
    varlabels(eclipses_log "Solar ec. (log)")
    nonumbers
    collabels(none)
    eqlabels(, begin("\midrule" "") none)
    substitute(_ \_ "\_cons " \_cons)
    interaction(" $\times$ ")
    level(95)
    style(esttab)
    keep(eclipses_log)
    order(eclipses_log)
    stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0)
            layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
            labels("Fixed effects" "Geography" "Ethnic" "\midrule \(R^{2}\)" "Observations"));
#delimit cr	
