forval i=1/4 {
    local table_C6 ""
    if `i' == 1 {
        local action "replace"
        local panel "Panel A: Drop outliers"
        local pre "prehead(&\multicolumn{9}{c}{Ethnographic Atlas}&\multicolumn{1}{c}{Folklore}\\ \cmidrule(lr){2-10}\cmidrule(lr){11-11})"
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Pop. Den." "Set. Pat." "Juris. Hier." "Class Strat." "Pol. Int." "Tasks" "Tech." "Strat. Games" "Writing" "Ec. Exp.", pattern(1 1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))"'
        local kp "eclipses_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 2 {
        local action "append"
        local panel "Panel B: k-means"
        local pre ""
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Pseudo-\(R^{2}\)" "Observations"))"'
        local gr ""
        local kp "eclipses_log"
        local num ""
    }
    if `i' == 3 {
        local action "append"
        local panel "Panel C: Area"
        local pre ""
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Pseudo-\(R^{2}\)" "Observations"))"'
        local gr ""
        local kp "eclipses_log"
        local num ""
    }
    if `i' == 4 {
        local action "append"
        local panel "Panel D: Area, up to a third degree polynomial"
        local pre ""
        local stat `"stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Fixed effects" "Geography" "Ethnic" "Pseudo-\(R^{2}\)" "Observations"))"'
        local gr ""
        local kp "eclipses_log"
        local num ""
    }
    foreach v in $outcomes_ea_3 $outcomes_ea_1 {
        local table_C6 "`table_C6' `v'_area_`i'"
        }

    #delimit ;
    estout `table_C6'
        using "${path_tables}/Table_Area.tex",
            `action'
            cells("b(fmt(3))" "se(fmt(3) par star)")
            starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
            varwidth(10)
            modelwidth(9)
            delimiter(&)
            end(\\)
            `pre'
            posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
            prefoot("\midrule")
            mlabels(none)
            `num'
            `gr'
            varlabels($labels area_km_log "Area (log-km)")
            collabels(none)
            eqlabels(, begin("\midrule" "") none)
            substitute(_ \_ "\_cons " \_cons)
            interaction(" $\times$ ")
            level(95)
            style(esttab)
            keep(`kp')
            order(`kp')
            `stat';
    #delimit cr	
}

forval i=1/4 {
    local table_C7 ""
    if `i' == 1 {
        local action "replace"
        local panel "Panel A: Drop outliers"
        local pre "prehead(&\multicolumn{@M}{c}{Folklore}\\ \cmidrule(lr){2-@span})"
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Eclipse Rel." "Calendar Rel." "Thinking Rel." "Curious Rel.", pattern(1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))"'
        local kp "eclipses_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 2 {
        local action "append"
        local panel "Panel B: k-means"
        local pre ""
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Pseudo-\(R^{2}\)" "Observations"))"'
        local gr ""
        local kp "eclipses_log"
        local num ""
    }
    if `i' == 3 {
        local action "append"
        local panel "Panel C: Area"
        local pre ""
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Pseudo-\(R^{2}\)" "Observations"))"'
        local gr ""
        local kp "eclipses_log"
        local num ""
    }
    if `i' == 4 {
        local action "append"
        local panel "Panel D: Area, up to a third degree polynomial"
        local pre ""
        local stat `"stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("Fixed effects" "Geography" "Ethnic" "Pseudo-\(R^{2}\)" "Observations"))"'
        local gr ""
        local kp "eclipses_log"
        local num ""
    }

    foreach v in $main_folklore {
        local table_C7 "`table_C7' `v'_area_`i'"
        }

    #delimit ;
    estout `table_C7'
        using "${path_tables}/Table_Area_Folklore.tex",
            `action'
            cells("b(fmt(3))" "se(fmt(3) par star)")
            starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
            varwidth(10)
            modelwidth(9)
            delimiter(&)
            end(\\)
            `pre'
            posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
            prefoot("\midrule")
            mlabels(none)
            `num'
            `gr'
            varlabels($labels area_km_log "Area (log-km)")
            collabels(none)
            eqlabels(, begin("\midrule" "") none)
            substitute(_ \_ "\_cons " \_cons)
            interaction(" $\times$ ")
            level(95)
            style(esttab)
            keep(`kp')
            order(`kp')
            `stat';
    #delimit cr	
}

* Tables for regressions including eclipses/area
local regs_int_0
foreach v in $outcomes_ea_3 $outcomes_ea_1 {
    local regs_int_0 "`regs_int_0' `v'_int"
}
local margins_0 ""
foreach v in $outcomes_ea_3 $outcomes_ea_1 {
    local margins_0 "`margins_0' `v'_margin"
}

#delimit ;
estout `regs_int_0'
    using "${path_tables}/Table_Int_1.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
        prehead(&\multicolumn{9}{c}{Ethnographic Atlas}&\multicolumn{1}{c}{Folklore} \\ \cmidrule(lr){2-10} \cmidrule(lr){11-11})
        posthead("\midrule")
	prefoot("\midrule")
	mgroups("Pop. Den." "Set. Pat." "Juris. Hier." "Class Strat." "Pol. Int." "Tasks" "Tech." "Strat. Games" "Writing" "Ec. Exp.",  
		pattern(1 1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels c.n_eclipses#c.inv_area "Eclipses/Area" area_km "Area" n_eclipses "Solar ec.")
	collabels(none)
	numbers(\multicolumn{@span}{c}{( )})
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
	replace
	keep(c.n_eclipses#c.inv_area n_eclipses area_km )
	order(c.n_eclipses#c.inv_area n_eclipses area_km )
	stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Geography" "Ethnic" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

#delimit ;
estout `margins_0'
    using "${path_tables}/Table_Int_1.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
	prefoot("\midrule")
	mgroups(none)
	mlabels(none)
	nonumbers
	collabels(none)
        posthead("\midrule &\multicolumn{@M}{c}{Marginal Effects} \\ \cmidrule(lr){2-11}")
	eqlabels(, begin("\midrule" "") none)
        varlabels(1._predict "\hspace{0.1cm} Level 1" 2._predict "\hspace{0.1cm} Level 2" 3._predict "\hspace{0.1cm} Level 3" 4._predict "\hspace{0.1cm} Level 4" 5._predict "\hspace{0.1cm} Level 5" 6._predict "\hspace{0.1cm} Level 6" 7._predict "\hspace{0.1cm} Level 7" 8._predict "\hspace{0.1cm} Level 8" n_eclipses "Marginal Eff. of eclipses", elist(n_eclipses "\addlinespace") blist(1._predict "Change in prob.\\"))
        order(n_eclipses *predict)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
	append
	stats(avg std, fmt(3 3) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{S}{@}") labels("Avg." "Std. Dev."));
#delimit cr	

local regs_int_1 ""
foreach v in $main_folklore {
    local regs_int_1 "`regs_int_1' `v'_int"
}
local margins_1 ""
foreach v in $main_folklore {
    local margins_1 "`margins_1' `v'_margin"
}

#delimit ;

estout `regs_int_1'
    using "${path_tables}/Table_Int_2.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
        prehead(&\multicolumn{@M}{c}{Folklore}\\ \midrule)
        posthead("\midrule")
	prefoot("\midrule")
	mgroups("Ec. Rel." "Calendar Rel." "Thinking Rel." "Curious Rel.",
		pattern(1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels c.n_eclipses#c.inv_area "Eclipses/Area" area_km "Area" n_eclipses "Solar ec.")
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
	replace
	keep(c.n_eclipses#c.inv_area n_eclipses area_km )
	order(c.n_eclipses#c.inv_area n_eclipses area_km )
	stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Geography" "Ethnic" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

#delimit ;
estout `margins_1'
    using "${path_tables}/Table_Int_2.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
	prefoot("\midrule")
	mgroups(none)
        posthead("\midrule &\multicolumn{@M}{c}{Marginal Effects} \\ \cmidrule(lr){2-@span}")
	mlabels(none)
	nonumbers
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
        varlabels(1._predict "\hspace{0.1cm} Level 1" 2._predict "\hspace{0.1cm} Level 2" 3._predict "\hspace{0.1cm} Level 3" 4._predict "\hspace{0.1cm} Level 4" 5._predict "\hspace{0.1cm} Level 5" 6._predict "\hspace{0.1cm} Level 6" 7._predict "\hspace{0.1cm} Level 7" 8._predict "\hspace{0.1cm} Level 8" n_eclipses "Marginal Eff. of eclipses", elist(n_eclipses "\addlinespace") blist(1._predict "Change in prob.\\"))
	level(95)
	style(esttab)
	append
	stats(avg std, fmt(3 3) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{S}{@}") labels("Avg." "Std. Dev."));
#delimit cr	

local regs_int_2 ""
foreach v in $outcomes_seshat_3 $outcomes_seshat_1 {
    local regs_int_2 "`regs_int_2' `v'_i"
}
local margins_2 ""
foreach v in $outcomes_seshat_3 $outcomes_seshat_1 {
    local margins_2 "`margins_2' `v'_mg"
}

#delimit ;

estout `regs_int_2'
    using "${path_tables}/Table_Int_3.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
        prehead(&\multicolumn{@M}{c}{Seshat}\\ \midrule)
        posthead("\midrule")
	prefoot("\midrule")
	mgroups("Pop. Den." "Adm. Levels" "Juris. Hier." "Money" "Infra." "Writing" "Texts" "Calendar" "Geom. Meas.",
		pattern(1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels inter "Eclipses/Area" area_geom "Area" num_eclipses "Solar ec.")
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
	replace
	keep(inter num_eclipses area_geom )
	order(inter num_eclipses area_geom )
	stats(fe geo tim con r2_p N, fmt(0 0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Geography" "Time Fixed Effects" "Controls Seshat" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr	

#delimit ;
estout `margins_2'
    using "${path_tables}/Table_Int_3.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
	prefoot("\midrule")
	mgroups(none)
        posthead("\midrule &\multicolumn{@M}{c}{Marginal Effects} \\ \cmidrule(lr){2-@span}")
	mlabels(none)
	nonumbers
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
        varlabels(lc_1 "Marginal Eff. of eclipses", elist(n_eclipses "\addlinespace") blist(1._predict "Change in prob.\\"))
	level(95)
	style(esttab)
	append
	stats(avg std, fmt(3 3) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{S}{@}") labels("Avg." "Std. Dev."));
#delimit cr	
