forval i=0/1 {
    local table_C1 ""
    if `i' == 0 {
        local action "replace"
        local panel "Panel A: Lunar eclipses"
        local pre "prehead(&\multicolumn{2}{c}{Ethnographic Atlas}&\multicolumn{1}{c}{Seshat}\\ \cmidrule(lr){2-3} \cmidrule(lr){4-4})"
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Population Density" "Settlement Patterns" "Population Density", pattern(1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))"'
        local kp "eclipses_lunar_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 1 {
        local action "append"
        local panel "Panel B: Solar and lunar eclipses"
        local pre ""
        local stat `"stats(r2_p N fe tim geo ethnic con, fmt(3 0 0 0 0 0 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations" "\midrule Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat"))"'
        local gr ""
        local kp "eclipses_log eclipses_lunar_log"
        local num ""
    }
    foreach v of global outcomes_ea_3 {
        local table_C1 "`table_C1' `v'_rob_`i'"
        }
    foreach v of global outcomes_seshat_3 {
        local table_C1 "`table_C1' `v'_r`i'"
        }

    #delimit ;
    estout `table_C1'
        using "${path_tables}/Table_Development_Robustness.tex",
            `action'
            cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
            starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
            varwidth(10)
            modelwidth(9)
            delimiter(&)
            end(\\)
            `pre'
            posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
            prefoot("\midrule")
            mlabels(none)
            `num'
            `gr'
            varlabels(eclipses_log "Solar ec. (log)" eclipses_lunar_log "Lunar ec. (log)")
            collabels(none)
            rename(eclipses_lunar eclipses_lunar_log eclipses eclipses_log)
            eqlabels(, begin("\midrule" "") none)
            substitute(_ \_ "\_cons " \_cons)
            interaction(" $\times$ ")
            level(95)
            style(esttab)
            keep(`kp')
            order(`kp')
            `stat';
    #delimit cr	
}

forval i=0/1 {
    local table_C2 ""
    if `i' == 0 {
        local action "replace"
        local panel "Panel A: Lunar eclipses"
        local pre "prehead(&\multicolumn{3}{c}{Ethnographic Atlas}&\multicolumn{2}{c}{Seshat}\\ \cmidrule(lr){2-4}\cmidrule(lr){5-6})"
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Juris. Hier." "Class Strat." "Pol. Int." "Adm. Levels" "Juris. Hier.",  pattern(1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) "'
        local kp "eclipses_lunar_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 1 {
        local action "append"
        local panel "Panel B: Solar and lunar eclipses"
        local pre ""
        local stat `"stats(r2_p N fe tim geo ethnic con, fmt(3 0 0 0 0 0 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations" "\midrule Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat"))"'
        local gr ""
        local kp "eclipses_log eclipses_lunar_log"
        local num ""
    }
    foreach v of global proxies_dev {
        if strpos("$outcomes_seshat_1","`v'") {
            local table_C2 "`table_C2' `v'_r`i'"
        }
        else {
            local table_C2 "`table_C2' `v'_rob_`i'"
        }
    }

    #delimit ;
    estout `table_C2'
        using "${path_tables}/Table_Proxies_Development_Robustness.tex",
            `action'
            cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
            starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
            varwidth(10)
            modelwidth(9)
            delimiter(&)
            end(\\)
            `pre'
            posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
            prefoot("\midrule")
            `gr'
            mlabels(none)
            varlabels(eclipses_log "Solar ec. (log)" eclipses_lunar_log "Lunar ec. (log)")
            `num'
            collabels(none)
            eqlabels(, begin("\midrule" "") none)
            substitute(_ \_ "\_cons " \_cons)
            rename(eclipses_lunar eclipses_lunar_log eclipses eclipses_log)
            interaction(" $\times$ ")
            level(95)
            style(esttab)
            keep(`kp')
            order(`kp')
            `stat';
    #delimit cr	
    }

forval i=0/1 {
    local table_C3 ""
    if `i' == 0 {
        local action "replace"
        local panel "Panel A: Lunar eclipses"
        local pre "prehead(&\multicolumn{2}{c}{Ethnographic Atlas}&\multicolumn{3}{c}{Folklore}&\multicolumn{4}{c}{Seshat}\\ \cmidrule(lr){2-3}\cmidrule(lr){4-6}\cmidrule(lr){7-10})"
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Strat. Games" "Writing" "Ec. Exp." "Cal. Rel." "Thinking Rel." "Writing" "Texts" "Calendar" "Geom. Meas." ,  pattern(1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))"'
        local kp "eclipses_lunar_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 1 {
        local action "append"
        local panel "Panel B: Solar and lunar eclipses"
        local pre ""
        local stat `"stats(r2_p N fe tim geo ethnic con, fmt(3 0 0 0 0 0 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations" "\midrule Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat"))"'
        local gr ""
        local kp "eclipses_log eclipses_lunar_log"
        local num ""
    }
    foreach v of global proxies_h {
        if strpos("`v'","cc_") | "`v'" == "calendar" | "`v'" == "geometrical_measurements" {
            local table_C3 "`table_C3' `v'_r`i'"
        }
        else {
            local table_C3 "`table_C3' `v'_rob_`i'"
        }
    }

    #delimit ;
    estout `table_C3'
        using "${path_tables}/Table_Proxies_Human_Capital_Robustness.tex",
        `action'
        cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
        starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
        varwidth(10)
        modelwidth(9)
        delimiter(&)
        end(\\)
        `pre'
        posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
        prefoot("\midrule")
        `gr'
        mlabels(none)
        varlabels(eclipses_log "Solar ec. (log)" eclipses_lunar_log "Lunar ec. (log)")
        `num'
        collabels(none)
        eqlabels(, begin("\midrule" "") none)
        substitute(_ \_ "\_cons " \_cons)
        interaction(" $\times$ ")
        rename(eclipses_lunar eclipses_lunar_log eclipses eclipses_log)
        level(95)
        style(esttab)
        keep(`kp')
        order(`kp')
        `stat';
    #delimit cr
}

forval i=0/1 {
    local table_C4 ""
    if `i' == 0 {
        local action "replace"
        local panel "Panel A: Lunar eclipses"
        local pre "prehead(&\multicolumn{2}{c}{Ethnographic Atlas}&\multicolumn{2}{c}{Seshat}&\multicolumn{5}{c}{Ashraf and Galor, 2011}\\ \cmidrule(lr){2-3}\cmidrule(lr){4-5}\cmidrule(lr){6-10})"
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Tasks" "Tech." "Money" "Infra." "Tech. Index" "\shortstack{Non-agri. \\ Tech. Index}" "Comm. Tech." "Ind. Tech" "Trans. Tech.", pattern(1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))"'
        local kp "eclipses_lunar_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 1 {
        local action "append"
        local panel "Panel B: Solar and lunar eclipses"
        local pre ""
        local stat `"stats(r2_p N fe tim geo ethnic con, fmt(3 0 0 0 0 0 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations" "\midrule Fixed effects" "Time Fixed Effects" "Geography" "Ethnic" "Controls Seshat"))"'
        local gr ""
        local kp "eclipses_log eclipses_lunar_log"
        local num ""
    }
    foreach v of global proxies_t {
        if strpos("`v'","cc_") {
            local table_C4 "`table_C4' `v'_r`i'"
        }
        else {
            local table_C4 "`table_C4' `v'_rob_`i'"
        }
    }

    #delimit ;
    estout `table_C4'
        using "${path_tables}/Table_Proxies_Technology_Robustness.tex",
        `action' 
        cells("b(fmt(3))" "se(fmt(3) par star)" "conleyse(fmt(3) par([ ]) star pval(conleyp))")
        starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
        varwidth(10)
        modelwidth(9)
        delimiter(&)
        end(\\)
        `pre'
        posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
        prefoot("\midrule")
        `gr'
        mlabels(none)
        varlabels(eclipses_log "Solar ec. (log)" eclipses_lunar_log "Lunar ec. (log)")
        `num'
        collabels(none)
        eqlabels(, begin("\midrule" "") none)
        substitute(_ \_ "\_cons " \_cons)
        interaction(" $\times$ ")
        level(95)
        style(esttab)
        keep(`kp')
        order(`kp')
        rename(lec eclipses_log lec_lunar eclipses_lunar_log eclipses_lunar eclipses_lunar_log eclipses eclipses_log)
        `stat';
    #delimit cr	
}

forval i=0/1 {
    local table_C5 ""
    if `i' == 0 {
        local action "replace"
        local panel "Panel A: Lunar eclipses"
        local pre `"prehead("&\multicolumn{2}{c}{Folklore}&\multicolumn{2}{c}{Wikidata} \\ \cmidrule(lr){2-3} \cmidrule(lr){4-5}")"'
        local stat `"stats(r2_p N, fmt(3 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"))"'
        local gr `"mgroups("Eclipse Rel." "Curious Rel." "Scientific occ.",  pattern(1 1 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))"'
        local kp "lunar_eclipses_log"
        local num "numbers(\multicolumn{@span}{c}{( )})"
    }
    if `i' == 1 {
        local action "append"
        local panel "Panel B: Solar and lunar eclipses"
        local pre ""
        local stat `"stats(r2_p N fe tim geo ethnic , fmt(3 0 0 0 0 0) layout("\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels("\(R^{2}\)/Pseudo-\(R^{2}\)" "Observations" "\midrule Fixed effects" "Time Fixed Effects" "Geography" "Ethnic"))"'
        local gr ""
        local kp "eclipses_log eclipses_binary lunar_eclipses_log "
        local num ""
    }
    foreach v of global proxies_w {
        if strpos("$outcomes_wikipedia", "`v'") {
            forval j=1/2 {
                local table_C5 "`table_C5' `v'_`j'_rob_`i'"
                }
            }
        else {
            local table_C5 "`table_C5' `v'_rob_`i'"
        }
    } 

    #delimit ;
    estout `table_C5'
        using "${path_tables}/Table_Proxies_Curiosity_Robustness.tex", 
            `action'
            cells("b(fmt(3))" "se(fmt(3) par star)")
            starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
            varwidth(10)
            modelwidth(9)
            delimiter(&)
            end(\\)
            posthead("\midrule &\multicolumn{@M}{c}{`panel'}\\ \cmidrule(lr){2-@span}")
            `pre'
            `gr'
            prefoot("\midrule")
            mlabels(none)
            rename(eclipses_lunar_log lunar_eclipses_log)
            varlabels($labels)
            `num'
            collabels(none)
            eqlabels(, begin("\midrule" "") none)
            substitute(_ \_ "\_cons " \_cons)
            interaction(" $\times$ ")
            level(95)
            style(esttab)
            keep(`kp')
            order(`kp')
            `stat';
    #delimit cr	
}

local table_C12 ""
foreach v in $main_folklore {
    local table_C12 "`table_C12' f_`v'"
}
#delimit ;
estout `table_C12'
using "${path_tables}/Table_Folklore_Fraction.tex",
    replace
    cells("b(fmt(3))" "se(fmt(3) par star)")
    starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
    varwidth(10)
    modelwidth(9)
    delimiter(&)
    end(\\)
    prefoot("\midrule")
    prehead(&\multicolumn{@M}{c}{Folklore}\\ \cmidrule(lr){2-@span})
    mgroups("Eclipse rel." "Calendar rel." "Thinking rel." "Curious rel.", 
            pattern(1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
    posthead(\midrule)
    numbers(\multicolumn{@span}{c}{( )})
    mlabels(none)
    varlabels($labels)
    collabels(none)
    eqlabels(, begin("\midrule" "") none)
    substitute(_ \_ "\_cons " \_cons)
    interaction(" $\times$ ")
    level(95)
    style(esttab)
    keep(eclipses_log)
    order(eclipses_log)
    stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0)
            layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
            labels("Fixed effects" "Geography" "Ethnic" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr

/* Quantile regressions
   Writing converges but the regression has no standard erros
   Srategy seems to be perfectly predictable
*/
    global todrop_var "q_writing q_strategy"
    global q_tables: list global(q_tables) - global(todrop_var)
    local table_C8 "$q_tables"

#delimit ;
estout `table_C8'
    using "${path_tables}/Table_Quantile.tex",
	cells("b(fmt(3))" "se(fmt(3) par star)")
	starlevels(`"\sym{*}"' 0.1 `"\sym{**}"' 0.05 `"\sym{***}"' 0.01, label(" \(p<@\)"))
	varwidth(10)
	modelwidth(9)
	delimiter(&)
	end(\\)
        prehead(&\multicolumn{7}{c}{Ethnographic Atlas}&\multicolumn{4}{c}{Folklore}\\ \cmidrule(lr){2-8} \cmidrule(lr){9-12})
	posthead("\midrule")
	prefoot("\midrule")
	mgroups("Pop. Den." "Set. Pat." "Juris. Hier." "Class. Strat." "Pol. Int." "Tasks" "Tech." "Ec. Rel." "Cal. Rel." "Thinking" "Curious",
		pattern(1 1 1 1 1 1 1 1 1 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
	mlabels(none)
	varlabels($labels)
	numbers(\multicolumn{@span}{c}{( )})
	collabels(none)
	eqlabels(, begin("\midrule" "") none)
	substitute(_ \_ "\_cons " \_cons)
	interaction(" $\times$ ")
	level(95)
	style(esttab)
	replace
	keep(eclipses_log)
	order(eclipses_log)
	stats(fe geo ethnic r2_p N, fmt(0 0 0 3 0)
		layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{S}{@}" "\multicolumn{1}{c}{@}")
		labels("Fixed effects" "Geography" "Ethnic" "\midrule \(R^{2}\)/Pseudo-\(R^{2}\)" "Observations"));
#delimit cr
